Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		collectl
#Epoch:		0
Version:	3.3.5
Release:	1
License:	GPLv2+ or Artistic License
URL:		http://collectl.sourceforge.net/
Group:		System/Configuration/Hardware	
Summary:	linux performance monitoring tool
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch: 	noarch

# Sources:
Source:		%{name}-%{version}.src.tar.gz
Source201: 	%{name}.initd
Source202: 	%{name}.sysconfig

# Patches:

# Requires:
Requires:       perl(Sys::Syslog), perl(Time::HiRes), perl(Compress::Zlib)
Requires(post):         chkconfig
Requires(postun):       ccux-bootscripts
Requires(preun):        chkconfig
Requires(preun):        ccux-bootscripts

# BuildRequires:

%description
There are a number of times in which you find yourself needing performance data. These can include benchmarking, monitoring a system's general heath or trying to determine what your system was doing at some time in the past. Sometimes you just want to know what the system is doing right now. Depending on what you're doing, you often end up using different tools, each designed to for that specific situation.

Unlike most monitoring tools that either focus on a small set of statistics, format their output in only one way, run either interatively or as a daemon but not both, collectl tries to do it all. You can choose to monitor any of a broad set of subsystems which currently include buddyinfo, cpu, disk, inodes, infiniband, lustre, memory, network, nfs, processes, quadrics, slabs, sockets and tcp. 

%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 = 0 ] ; then
    /sbin/service %{name} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ] ; then
    /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi

%prep
%setup -n %{name}-%{version}

# rename directory for easier inclusion
mv docs html

# fix EOLs + preserve timestamps
for f in ARTISTIC GPL
do
    sed -i.orig 's/\r//g' $f
    touch -r $f.orig $f
done

%build
# nothing to do

%install
rm -rf $RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT

# create required directories
mkdir -p        $RPM_BUILD_ROOT%{_initrddir} \
                $RPM_BUILD_ROOT%{_sysconfdir} \
                $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig \
                $RPM_BUILD_ROOT%{_bindir} \
                $RPM_BUILD_ROOT%{_libexecdir}/%{name} \
                $RPM_BUILD_ROOT%{_mandir}/man1/ \
                $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}

# install the files, set modes
ln -sf %{_libexecdir}/%{name}/%{name}.pl $RPM_BUILD_ROOT%{_bindir}/%{name}
install -p -m 755  collectl.pl       $RPM_BUILD_ROOT%{_libexecdir}/%{name}
install -p -m 644  *.ph              $RPM_BUILD_ROOT%{_libexecdir}/%{name}
install -p -m 644  envrules.std      $RPM_BUILD_ROOT%{_libexecdir}/%{name}
install -p -m 755  readS             $RPM_BUILD_ROOT%{_bindir}
install -p -m 644  man1/collectl*.1  $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 644  collectl.conf     $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m 755  %{SOURCE201}        $RPM_BUILD_ROOT%{_initrddir}/%{name}
install -p -m 644  %{SOURCE202}        $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}


%files
%defattr(-,root,root)
%{_sysconfdir}/collectl.conf
%{_sysconfdir}/rc.d/init.d/collectl
%{_sysconfdir}/sysconfig/collectl
%{_bindir}/collectl
%{_bindir}/readS
%{_prefix}/libexec/collectl/
%{_mandir}/man1/collectl.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.3.5.src-1
- initial CCux package release
